Bug 24011 - Sendmail listens by default, should it really?
Sendmail listens by default, should it really?
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-14 20:06 EST by Chris Evans
Modified: 2007-04-18 12:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-21 11:30:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Evans 2001-01-14 20:06:02 EST
Default, full install.
Boot up the new system, and sendmail is listening on two TCP sockets.

I don't think this is wise. As well as the obvious "big root daemon" risks,
there are less obvious risks. Recent RedHat builds of sendmail are linking
in more and more libraries. The most worrying of these is Kerberos. I'd
really rather that Kerberos code paths were not remotely available in the
default install ;-)

As far as I know, the default listening behaviour of sendmail was disabled
late in the RH7.0 beta cycle. But, it was re-enabled again in RH7.0 final
due to a few glitches this caused.

If sendmail network listening is disabled for an early RH7.1 beta, there
might be time to sort out all the issues this time round.
Comment 1 Chris Evans 2001-01-16 18:29:43 EST
In fact if we fix this, we'd be heading towards OpenBSD levels of security on a
default install...
Comment 2 R P Herrold 2001-01-21 11:30:38 EST
I was a proponent too last time around -- the counter-argument was 
pathological programs which talk to localhost:25, rather than 
handing content off through a "| mailx"

If this is closed with a DEFER or WONT in the 7.x series, can we 
at least give 'fair warning' that it is depreicated contduct, and 
likely to break in future major releases?  That way, we can fairly
disable in th 8.0 and see what else breaks, and catch them early enough
in the release and design phase to avoid major wailing.
Comment 3 Florian La Roche 2001-02-04 04:33:55 EST
We only listen on the loopback device at the moment and
only on the smtp port. Please send in problem reports if this
is not the way to go.

Note You need to log in before you can comment on or make changes to this bug.